depends = ('ITKPyBase', 'ITKImageFilterBase', 'ITKGPUCommon', 'ITKCommon', )
templates = (
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterGISS2GISS2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterGIUC2GIUC2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterGIUS2GIUS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterGIF2GIF2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterGID2GID2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterGISS3GISS3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterGIUC3GIUC3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterGIUS3GIUS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterGIF3GIF3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >'),
  ('BoxImageFilter', 'itk::BoxImageFilter', 'itkBoxImageFilterGID3GID3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastUCUC', False, 'unsigned char, unsigned char'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastULUL', False, 'unsigned long, unsigned long'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastSSSS', False, 'signed short, signed short'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastUSUS', False, 'unsigned short, unsigned short'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastFF', False, 'float, float'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastDD', False, 'double, double'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastUCUL', False, 'unsigned char, unsigned long'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastUCSS', False, 'unsigned char, signed short'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastUCUS', False, 'unsigned char, unsigned short'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastUCF', False, 'unsigned char, float'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastUCD', False, 'unsigned char, double'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastSSUC', False, 'signed short, unsigned char'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastSSUL', False, 'signed short, unsigned long'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastSSUS', False, 'signed short, unsigned short'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastSSF', False, 'signed short, float'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastSSD', False, 'signed short, double'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastUSUC', False, 'unsigned short, unsigned char'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastUSUL', False, 'unsigned short, unsigned long'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastUSSS', False, 'unsigned short, signed short'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastUSF', False, 'unsigned short, float'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastUSD', False, 'unsigned short, double'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastFUC', False, 'float, unsigned char'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastFUL', False, 'float, unsigned long'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastFSS', False, 'float, signed short'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastFUS', False, 'float, unsigned short'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastFD', False, 'float, double'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastDUC', False, 'double, unsigned char'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastDUL', False, 'double, unsigned long'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastDSS', False, 'double, signed short'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastDUS', False, 'double, unsigned short'),
  ('GPUCast', 'itk::Functor::GPUCast', 'itkGPUCastDF', False, 'double, float'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2GIUC2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC2IUC2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC2GIUC2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL2GIUL2', False, 'itk::Image< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUL2IUL2', False, 'itk::GPUImage< unsigned long, 2 >, itk::Image< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUL2GIUL2', False, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS2GISS2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS2ISS2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS2GISS2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2GIUS2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS2IUS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS2GIUS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2GIF2', False, 'itk::Image< float, 2 >, itk::GPUImage< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF2IF2', False, 'itk::GPUImage< float, 2 >, itk::Image< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF2GIF2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2GID2', False, 'itk::Image< double, 2 >, itk::GPUImage< double, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID2ID2', False, 'itk::GPUImage< double, 2 >, itk::Image< double, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID2GID2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2GIUL2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC2IUL2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC2GIUL2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2GISS2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC2ISS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC2GISS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2GIUS2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC2IUS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC2GIUS2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2GIF2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC2IF2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC2GIF2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC2GID2', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< double, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC2ID2', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< double, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC2GID2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< double, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS2GIUC2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS2IUC2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS2GIUC2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS2GIUL2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS2IUL2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS2GIUL2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS2GIUS2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS2IUS2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS2GIUS2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS2GIF2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS2IF2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS2GIF2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS2GID2', False, 'itk::Image< signed short, 2 >, itk::GPUImage< double, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS2ID2', False, 'itk::GPUImage< signed short, 2 >, itk::Image< double, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS2GID2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< double, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2GIUC2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS2IUC2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS2GIUC2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2GIUL2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS2IUL2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS2GIUL2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2GISS2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS2ISS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS2GISS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2GIF2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS2IF2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS2GIF2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS2GID2', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< double, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS2ID2', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< double, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS2GID2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< double, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2GIUC2', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF2IUC2', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF2GIUC2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2GIUL2', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF2IUL2', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF2GIUL2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2GISS2', False, 'itk::Image< float, 2 >, itk::GPUImage< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF2ISS2', False, 'itk::GPUImage< float, 2 >, itk::Image< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF2GISS2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2GIUS2', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF2IUS2', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF2GIUS2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF2GID2', False, 'itk::Image< float, 2 >, itk::GPUImage< double, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF2ID2', False, 'itk::GPUImage< float, 2 >, itk::Image< double, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF2GID2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< double, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2GIUC2', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID2IUC2', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID2GIUC2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2GIUL2', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID2IUL2', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID2GIUL2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2GISS2', False, 'itk::Image< double, 2 >, itk::GPUImage< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID2ISS2', False, 'itk::GPUImage< double, 2 >, itk::Image< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID2GISS2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< signed short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2GIUS2', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID2IUS2', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID2GIUS2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID2GIF2', False, 'itk::Image< double, 2 >, itk::GPUImage< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID2IF2', False, 'itk::GPUImage< double, 2 >, itk::Image< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID2GIF2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< float, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIVF22GIVF22', False, 'itk::Image< itk::Vector< float,2 >, 2 >, itk::GPUImage< itk::Vector< float,2 >, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIVF22IVF22', False, 'itk::GPUImage< itk::Vector< float,2 >, 2 >, itk::Image< itk::Vector< float,2 >, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIVF22GIVF22', False, 'itk::GPUImage< itk::Vector< float,2 >, 2 >, itk::GPUImage< itk::Vector< float,2 >, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterICVF22GICVF22', False, 'itk::Image< itk::CovariantVector< float,2 >, 2 >, itk::GPUImage< itk::CovariantVector< float,2 >, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGICVF22ICVF22', False, 'itk::GPUImage< itk::CovariantVector< float,2 >, 2 >, itk::Image< itk::CovariantVector< float,2 >, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGICVF22GICVF22', False, 'itk::GPUImage< itk::CovariantVector< float,2 >, 2 >, itk::GPUImage< itk::CovariantVector< float,2 >, 2 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3GIUC3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC3IUC3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC3GIUC3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUL3GIUL3', False, 'itk::Image< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUL3IUL3', False, 'itk::GPUImage< unsigned long, 3 >, itk::Image< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUL3GIUL3', False, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS3GISS3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS3ISS3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS3GISS3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3GIUS3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS3IUS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS3GIUS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3GIF3', False, 'itk::Image< float, 3 >, itk::GPUImage< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF3IF3', False, 'itk::GPUImage< float, 3 >, itk::Image< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF3GIF3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID3GID3', False, 'itk::Image< double, 3 >, itk::GPUImage< double, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID3ID3', False, 'itk::GPUImage< double, 3 >, itk::Image< double, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID3GID3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3GIUL3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC3IUL3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC3GIUL3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3GISS3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC3ISS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC3GISS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3GIUS3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC3IUS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC3GIUS3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3GIF3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC3IF3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC3GIF3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUC3GID3', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< double, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC3ID3', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< double, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUC3GID3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< double, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS3GIUC3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS3IUC3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS3GIUC3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS3GIUL3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS3IUL3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS3GIUL3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS3GIUS3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS3IUS3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS3GIUS3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS3GIF3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS3IF3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS3GIF3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterISS3GID3', False, 'itk::Image< signed short, 3 >, itk::GPUImage< double, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS3ID3', False, 'itk::GPUImage< signed short, 3 >, itk::Image< double, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGISS3GID3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< double, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3GIUC3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS3IUC3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS3GIUC3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3GIUL3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS3IUL3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS3GIUL3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3GISS3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS3ISS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS3GISS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3GIF3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS3IF3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS3GIF3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIUS3GID3', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< double, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS3ID3', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< double, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIUS3GID3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< double, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3GIUC3', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF3IUC3', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF3GIUC3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3GIUL3', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF3IUL3', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF3GIUL3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3GISS3', False, 'itk::Image< float, 3 >, itk::GPUImage< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF3ISS3', False, 'itk::GPUImage< float, 3 >, itk::Image< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF3GISS3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3GIUS3', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF3IUS3', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF3GIUS3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIF3GID3', False, 'itk::Image< float, 3 >, itk::GPUImage< double, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF3ID3', False, 'itk::GPUImage< float, 3 >, itk::Image< double, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIF3GID3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< double, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID3GIUC3', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID3IUC3', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID3GIUC3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID3GIUL3', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID3IUL3', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID3GIUL3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID3GISS3', False, 'itk::Image< double, 3 >, itk::GPUImage< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID3ISS3', False, 'itk::GPUImage< double, 3 >, itk::Image< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID3GISS3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< signed short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID3GIUS3', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID3IUS3', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID3GIUS3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterID3GIF3', False, 'itk::Image< double, 3 >, itk::GPUImage< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID3IF3', False, 'itk::GPUImage< double, 3 >, itk::Image< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGID3GIF3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< float, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterIVF33GIVF33', False, 'itk::Image< itk::Vector< float,3 >, 3 >, itk::GPUImage< itk::Vector< float,3 >, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIVF33IVF33', False, 'itk::GPUImage< itk::Vector< float,3 >, 3 >, itk::Image< itk::Vector< float,3 >, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGIVF33GIVF33', False, 'itk::GPUImage< itk::Vector< float,3 >, 3 >, itk::GPUImage< itk::Vector< float,3 >, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterICVF33GICVF33', False, 'itk::Image< itk::CovariantVector< float,3 >, 3 >, itk::GPUImage< itk::CovariantVector< float,3 >, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGICVF33ICVF33', False, 'itk::GPUImage< itk::CovariantVector< float,3 >, 3 >, itk::Image< itk::CovariantVector< float,3 >, 3 >'),
  ('CastImageFilter', 'itk::CastImageFilter', 'itkCastImageFilterGICVF33GICVF33', False, 'itk::GPUImage< itk::CovariantVector< float,3 >, 3 >, itk::GPUImage< itk::CovariantVector< float,3 >, 3 >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC2GIUC2CastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2IUC2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUC2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUL2GIUL2CastImageFilter', False, 'itk::Image< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::Image< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL2IUL2CastImageFilter', False, 'itk::GPUImage< unsigned long, 2 >, itk::Image< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned long, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL2GIUL2CastImageFilter', False, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS2GISS2CastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2ISS2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GISS2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS2GIUS2CastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2IUS2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUS2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF2GIF2CastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2IF2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< float, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIF2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID2GID2CastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2ID2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< double, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GID2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC2GIUL2CastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2IUL2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUL2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC2GISS2CastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2ISS2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GISS2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC2GIUS2CastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2IUS2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUS2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC2GIF2CastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2IF2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< float, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIF2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC2GID2CastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2ID2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< double, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GID2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS2GIUC2CastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2IUC2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIUC2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS2GIUL2CastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2IUL2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIUL2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS2GIUS2CastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2IUS2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIUS2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS2GIF2CastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2IF2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< float, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GIF2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS2GID2CastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2ID2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< double, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GID2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS2GIUC2CastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2IUC2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUC2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS2GIUL2CastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2IUL2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUL2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS2GISS2CastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2ISS2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GISS2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS2GIF2CastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2IF2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< float, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIF2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS2GID2CastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2ID2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< double, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GID2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF2GIUC2CastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2IUC2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIUC2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF2GIUL2CastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2IUL2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIUL2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF2GISS2CastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2ISS2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GISS2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF2GIUS2CastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2IUS2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIUS2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF2GID2CastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2ID2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< double, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GID2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID2GIUC2CastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2IUC2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GIUC2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID2GIUL2CastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2IUL2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GIUL2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID2GISS2CastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2ISS2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GISS2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID2GIUS2CastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2IUS2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GIUS2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID2GIF2CastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2IF2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< float, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GIF2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC3GIUC3CastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3IUC3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUC3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUL3GIUL3CastImageFilter', False, 'itk::Image< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::Image< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL3IUL3CastImageFilter', False, 'itk::GPUImage< unsigned long, 3 >, itk::Image< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned long, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUL3GIUL3CastImageFilter', False, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS3GISS3CastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3ISS3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GISS3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS3GIUS3CastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3IUS3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUS3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF3GIF3CastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3IF3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< float, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIF3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID3GID3CastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3ID3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< double, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GID3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC3GIUL3CastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3IUL3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUL3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC3GISS3CastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3ISS3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GISS3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC3GIUS3CastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3IUS3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUS3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC3GIF3CastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3IF3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< float, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIF3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUC3GID3CastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3ID3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< double, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GID3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS3GIUC3CastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3IUC3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIUC3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS3GIUL3CastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3IUL3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIUL3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS3GIUS3CastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3IUS3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIUS3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS3GIF3CastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3IF3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< float, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GIF3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterISS3GID3CastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3ID3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< double, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GID3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS3GIUC3CastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3IUC3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUC3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS3GIUL3CastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3IUL3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUL3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS3GISS3CastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3ISS3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GISS3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS3GIF3CastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3IF3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< float, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIF3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIUS3GID3CastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3ID3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< double, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GID3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF3GIUC3CastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3IUC3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIUC3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF3GIUL3CastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3IUL3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIUL3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF3GISS3CastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3ISS3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GISS3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF3GIUS3CastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3IUS3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIUS3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterIF3GID3CastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3ID3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< double, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GID3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID3GIUC3CastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3IUC3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GIUC3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID3GIUL3CastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3IUL3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GIUL3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID3GISS3CastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3ISS3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GISS3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID3GIUS3CastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3IUS3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GIUS3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterID3GIF3CastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3IF3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< float, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< float, 3 > >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GIF3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUC2GIUC2CastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2IUC2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned char, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GIUC2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUL2GIUL2CastImageFilter', False, 'itk::Image< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::Image< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUL2IUL2CastImageFilter', False, 'itk::GPUImage< unsigned long, 2 >, itk::Image< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned long, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUL2GIUL2CastImageFilter', False, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterISS2GISS2CastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2ISS2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< signed short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GISS2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUS2GIUS2CastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2IUS2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GIUS2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIF2GIF2CastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2IF2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< float, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< float, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GIF2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterID2GID2CastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2ID2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< double, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< double, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2GID2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUC2GIUL2CastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2IUL2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GIUL2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUC2GISS2CastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2ISS2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< signed short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GISS2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUC2GIUS2CastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2IUS2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GIUS2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUC2GIF2CastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2IF2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< float, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< float, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GIF2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUC2GID2CastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2ID2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< double, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< double, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC2GID2CastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterISS2GIUC2CastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2IUC2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< unsigned char, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GIUC2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterISS2GIUL2CastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2IUL2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GIUL2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterISS2GIUS2CastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2IUS2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< unsigned short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GIUS2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterISS2GIF2CastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2IF2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< float, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< float, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GIF2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterISS2GID2CastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2ID2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< double, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< double, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS2GID2CastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUS2GIUC2CastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2IUC2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned char, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GIUC2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUS2GIUL2CastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2IUL2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GIUL2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUS2GISS2CastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2ISS2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< signed short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GISS2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUS2GIF2CastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2IF2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< float, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< float, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GIF2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUS2GID2CastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2ID2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< double, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< double, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS2GID2CastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIF2GIUC2CastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2IUC2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< unsigned char, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GIUC2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIF2GIUL2CastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2IUL2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GIUL2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIF2GISS2CastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2ISS2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< signed short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GISS2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIF2GIUS2CastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2IUS2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< unsigned short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GIUS2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIF2GID2CastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2ID2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< double, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< double, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF2GID2CastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< double, 2 >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterID2GIUC2CastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2IUC2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< unsigned char, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2GIUC2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned char, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterID2GIUL2CastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2IUL2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2GIUL2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned long, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterID2GISS2CastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2ISS2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< signed short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2GISS2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< signed short, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterID2GIUS2CastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2IUS2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< unsigned short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2GIUS2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned short, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterID2GIF2CastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2IF2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< float, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< float, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID2GIF2CastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< float, 2 >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUC3GIUC3CastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3IUC3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned char, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GIUC3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUL3GIUL3CastImageFilter', False, 'itk::Image< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::Image< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUL3IUL3CastImageFilter', False, 'itk::GPUImage< unsigned long, 3 >, itk::Image< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned long, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUL3GIUL3CastImageFilter', False, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterISS3GISS3CastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3ISS3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< signed short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GISS3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUS3GIUS3CastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3IUS3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GIUS3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIF3GIF3CastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3IF3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< float, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GIF3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterID3GID3CastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3ID3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< double, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< double, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3GID3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUC3GIUL3CastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3IUL3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GIUL3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUC3GISS3CastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3ISS3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< signed short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GISS3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUC3GIUS3CastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3IUS3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GIUS3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUC3GIF3CastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3IF3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< float, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GIF3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUC3GID3CastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3ID3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< double, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< double, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUC3GID3CastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterISS3GIUC3CastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3IUC3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< unsigned char, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GIUC3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterISS3GIUL3CastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3IUL3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GIUL3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterISS3GIUS3CastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3IUS3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< unsigned short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GIUS3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterISS3GIF3CastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3IF3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< float, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GIF3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterISS3GID3CastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3ID3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< double, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< double, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGISS3GID3CastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUS3GIUC3CastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3IUC3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned char, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GIUC3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUS3GIUL3CastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3IUL3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GIUL3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUS3GISS3CastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3ISS3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< signed short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GISS3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUS3GIF3CastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3IF3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< float, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GIF3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIUS3GID3CastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3ID3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< double, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< double, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIUS3GID3CastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIF3GIUC3CastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3IUC3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< unsigned char, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GIUC3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIF3GIUL3CastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3IUL3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GIUL3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIF3GISS3CastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3ISS3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< signed short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GISS3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIF3GIUS3CastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3IUS3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< unsigned short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GIUS3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterIF3GID3CastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3ID3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< double, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< double, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGIF3GID3CastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< double, 3 >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterID3GIUC3CastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3IUC3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< unsigned char, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3GIUC3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned char, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterID3GIUL3CastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3IUL3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3GIUL3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned long, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterID3GISS3CastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3ISS3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< signed short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3GISS3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< signed short, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterID3GIUS3CastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3IUS3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< unsigned short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3GIUS3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned short, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterID3GIF3CastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3IF3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< float, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< float, 3 > >'),
  ('GPUInPlaceImageFilter', 'itk::GPUInPlaceImageFilter', 'itkGPUInPlaceImageFilterGID3GIF3CastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< float, 3 >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUC2GIUC2GPUCastUCUCCastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >, itk::Functor::GPUCast< unsigned char, unsigned char >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC2IUC2UCUCCastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned char, 2 >, itk::Functor::GPUCast< unsigned char, unsigned char >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned char, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC2GIUC2UCUCCastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >, itk::Functor::GPUCast< unsigned char, unsigned char >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUL2GIUL2GPUCastULULCastImageFilter', False, 'itk::Image< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >, itk::Functor::GPUCast< unsigned long, unsigned long >, itk::CastImageFilter< itk::Image< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUL2IUL2ULULCastImageFilter', False, 'itk::GPUImage< unsigned long, 2 >, itk::Image< unsigned long, 2 >, itk::Functor::GPUCast< unsigned long, unsigned long >, itk::CastImageFilter< itk::GPUImage< unsigned long, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUL2GIUL2ULULCastImageFilter', False, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >, itk::Functor::GPUCast< unsigned long, unsigned long >, itk::CastImageFilter< itk::GPUImage< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterISS2GISS2GPUCastSSSSCastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< signed short, 2 >, itk::Functor::GPUCast< signed short, signed short >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS2ISS2SSSSCastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< signed short, 2 >, itk::Functor::GPUCast< signed short, signed short >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< signed short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS2GISS2SSSSCastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >, itk::Functor::GPUCast< signed short, signed short >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUS2GIUS2GPUCastUSUSCastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::Functor::GPUCast< unsigned short, unsigned short >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS2IUS2USUSCastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned short, 2 >, itk::Functor::GPUCast< unsigned short, unsigned short >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS2GIUS2USUSCastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::Functor::GPUCast< unsigned short, unsigned short >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIF2GIF2GPUCastFFCastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< float, 2 >, itk::Functor::GPUCast< float, float >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF2IF2FFCastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< float, 2 >, itk::Functor::GPUCast< float, float >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< float, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF2GIF2FFCastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >, itk::Functor::GPUCast< float, float >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterID2GID2GPUCastDDCastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< double, 2 >, itk::Functor::GPUCast< double, double >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID2ID2DDCastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< double, 2 >, itk::Functor::GPUCast< double, double >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< double, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID2GID2DDCastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >, itk::Functor::GPUCast< double, double >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUC2GIUL2UCULCastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >, itk::Functor::GPUCast< unsigned char, unsigned long >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC2IUL2UCULCastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned long, 2 >, itk::Functor::GPUCast< unsigned char, unsigned long >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC2GIUL2UCULCastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >, itk::Functor::GPUCast< unsigned char, unsigned long >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUC2GISS2UCSSCastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< signed short, 2 >, itk::Functor::GPUCast< unsigned char, signed short >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC2ISS2UCSSCastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< signed short, 2 >, itk::Functor::GPUCast< unsigned char, signed short >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< signed short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC2GISS2UCSSCastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 >, itk::Functor::GPUCast< unsigned char, signed short >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUC2GIUS2UCUSCastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >, itk::Functor::GPUCast< unsigned char, unsigned short >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC2IUS2UCUSCastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned short, 2 >, itk::Functor::GPUCast< unsigned char, unsigned short >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC2GIUS2UCUSCastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >, itk::Functor::GPUCast< unsigned char, unsigned short >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUC2GIF2UCFCastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< float, 2 >, itk::Functor::GPUCast< unsigned char, float >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC2IF2UCFCastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< float, 2 >, itk::Functor::GPUCast< unsigned char, float >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< float, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC2GIF2UCFCastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 >, itk::Functor::GPUCast< unsigned char, float >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUC2GID2UCDCastImageFilter', False, 'itk::Image< unsigned char, 2 >, itk::GPUImage< double, 2 >, itk::Functor::GPUCast< unsigned char, double >, itk::CastImageFilter< itk::Image< unsigned char, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC2ID2UCDCastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::Image< double, 2 >, itk::Functor::GPUCast< unsigned char, double >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::Image< double, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC2GID2UCDCastImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< double, 2 >, itk::Functor::GPUCast< unsigned char, double >, itk::CastImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterISS2GIUC2SSUCCastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::Functor::GPUCast< signed short, unsigned char >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS2IUC2SSUCCastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned char, 2 >, itk::Functor::GPUCast< signed short, unsigned char >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< unsigned char, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS2GIUC2SSUCCastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::Functor::GPUCast< signed short, unsigned char >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterISS2GIUL2SSULCastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::Functor::GPUCast< signed short, unsigned long >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS2IUL2SSULCastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned long, 2 >, itk::Functor::GPUCast< signed short, unsigned long >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS2GIUL2SSULCastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::Functor::GPUCast< signed short, unsigned long >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterISS2GIUS2SSUSCastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::Functor::GPUCast< signed short, unsigned short >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS2IUS2SSUSCastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned short, 2 >, itk::Functor::GPUCast< signed short, unsigned short >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< unsigned short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS2GIUS2SSUSCastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::Functor::GPUCast< signed short, unsigned short >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterISS2GIF2SSFCastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< float, 2 >, itk::Functor::GPUCast< signed short, float >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS2IF2SSFCastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< float, 2 >, itk::Functor::GPUCast< signed short, float >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< float, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS2GIF2SSFCastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 >, itk::Functor::GPUCast< signed short, float >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterISS2GID2SSDCastImageFilter', False, 'itk::Image< signed short, 2 >, itk::GPUImage< double, 2 >, itk::Functor::GPUCast< signed short, double >, itk::CastImageFilter< itk::Image< signed short, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS2ID2SSDCastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::Image< double, 2 >, itk::Functor::GPUCast< signed short, double >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::Image< double, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS2GID2SSDCastImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< double, 2 >, itk::Functor::GPUCast< signed short, double >, itk::CastImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUS2GIUC2USUCCastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::Functor::GPUCast< unsigned short, unsigned char >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS2IUC2USUCCastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned char, 2 >, itk::Functor::GPUCast< unsigned short, unsigned char >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned char, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS2GIUC2USUCCastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >, itk::Functor::GPUCast< unsigned short, unsigned char >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUS2GIUL2USULCastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::Functor::GPUCast< unsigned short, unsigned long >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS2IUL2USULCastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned long, 2 >, itk::Functor::GPUCast< unsigned short, unsigned long >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS2GIUL2USULCastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >, itk::Functor::GPUCast< unsigned short, unsigned long >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUS2GISS2USSSCastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< signed short, 2 >, itk::Functor::GPUCast< unsigned short, signed short >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS2ISS2USSSCastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< signed short, 2 >, itk::Functor::GPUCast< unsigned short, signed short >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< signed short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS2GISS2USSSCastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 >, itk::Functor::GPUCast< unsigned short, signed short >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUS2GIF2USFCastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< float, 2 >, itk::Functor::GPUCast< unsigned short, float >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS2IF2USFCastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< float, 2 >, itk::Functor::GPUCast< unsigned short, float >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< float, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS2GIF2USFCastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 >, itk::Functor::GPUCast< unsigned short, float >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUS2GID2USDCastImageFilter', False, 'itk::Image< unsigned short, 2 >, itk::GPUImage< double, 2 >, itk::Functor::GPUCast< unsigned short, double >, itk::CastImageFilter< itk::Image< unsigned short, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS2ID2USDCastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::Image< double, 2 >, itk::Functor::GPUCast< unsigned short, double >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::Image< double, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS2GID2USDCastImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< double, 2 >, itk::Functor::GPUCast< unsigned short, double >, itk::CastImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIF2GIUC2FUCCastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned char, 2 >, itk::Functor::GPUCast< float, unsigned char >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF2IUC2FUCCastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned char, 2 >, itk::Functor::GPUCast< float, unsigned char >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< unsigned char, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF2GIUC2FUCCastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 >, itk::Functor::GPUCast< float, unsigned char >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIF2GIUL2FULCastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned long, 2 >, itk::Functor::GPUCast< float, unsigned long >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF2IUL2FULCastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned long, 2 >, itk::Functor::GPUCast< float, unsigned long >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF2GIUL2FULCastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 >, itk::Functor::GPUCast< float, unsigned long >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIF2GISS2FSSCastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< signed short, 2 >, itk::Functor::GPUCast< float, signed short >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF2ISS2FSSCastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< signed short, 2 >, itk::Functor::GPUCast< float, signed short >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< signed short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF2GISS2FSSCastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 >, itk::Functor::GPUCast< float, signed short >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIF2GIUS2FUSCastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< unsigned short, 2 >, itk::Functor::GPUCast< float, unsigned short >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF2IUS2FUSCastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< unsigned short, 2 >, itk::Functor::GPUCast< float, unsigned short >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< unsigned short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF2GIUS2FUSCastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 >, itk::Functor::GPUCast< float, unsigned short >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIF2GID2FDCastImageFilter', False, 'itk::Image< float, 2 >, itk::GPUImage< double, 2 >, itk::Functor::GPUCast< float, double >, itk::CastImageFilter< itk::Image< float, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF2ID2FDCastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::Image< double, 2 >, itk::Functor::GPUCast< float, double >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::Image< double, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF2GID2FDCastImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< double, 2 >, itk::Functor::GPUCast< float, double >, itk::CastImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< double, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterID2GIUC2DUCCastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned char, 2 >, itk::Functor::GPUCast< double, unsigned char >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID2IUC2DUCCastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned char, 2 >, itk::Functor::GPUCast< double, unsigned char >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< unsigned char, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID2GIUC2DUCCastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned char, 2 >, itk::Functor::GPUCast< double, unsigned char >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< unsigned char, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterID2GIUL2DULCastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned long, 2 >, itk::Functor::GPUCast< double, unsigned long >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID2IUL2DULCastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned long, 2 >, itk::Functor::GPUCast< double, unsigned long >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID2GIUL2DULCastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned long, 2 >, itk::Functor::GPUCast< double, unsigned long >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< unsigned long, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterID2GISS2DSSCastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< signed short, 2 >, itk::Functor::GPUCast< double, signed short >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID2ISS2DSSCastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< signed short, 2 >, itk::Functor::GPUCast< double, signed short >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< signed short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID2GISS2DSSCastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< signed short, 2 >, itk::Functor::GPUCast< double, signed short >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< signed short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterID2GIUS2DUSCastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< unsigned short, 2 >, itk::Functor::GPUCast< double, unsigned short >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID2IUS2DUSCastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< unsigned short, 2 >, itk::Functor::GPUCast< double, unsigned short >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< unsigned short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID2GIUS2DUSCastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned short, 2 >, itk::Functor::GPUCast< double, unsigned short >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< unsigned short, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterID2GIF2DFCastImageFilter', False, 'itk::Image< double, 2 >, itk::GPUImage< float, 2 >, itk::Functor::GPUCast< double, float >, itk::CastImageFilter< itk::Image< double, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID2IF2DFCastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::Image< float, 2 >, itk::Functor::GPUCast< double, float >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::Image< float, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID2GIF2DFCastImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< float, 2 >, itk::Functor::GPUCast< double, float >, itk::CastImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< float, 2 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUC3GIUC3GPUCastUCUCCastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >, itk::Functor::GPUCast< unsigned char, unsigned char >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC3IUC3UCUCCastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned char, 3 >, itk::Functor::GPUCast< unsigned char, unsigned char >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned char, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC3GIUC3UCUCCastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >, itk::Functor::GPUCast< unsigned char, unsigned char >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUL3GIUL3GPUCastULULCastImageFilter', False, 'itk::Image< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >, itk::Functor::GPUCast< unsigned long, unsigned long >, itk::CastImageFilter< itk::Image< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUL3IUL3ULULCastImageFilter', False, 'itk::GPUImage< unsigned long, 3 >, itk::Image< unsigned long, 3 >, itk::Functor::GPUCast< unsigned long, unsigned long >, itk::CastImageFilter< itk::GPUImage< unsigned long, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUL3GIUL3ULULCastImageFilter', False, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >, itk::Functor::GPUCast< unsigned long, unsigned long >, itk::CastImageFilter< itk::GPUImage< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterISS3GISS3GPUCastSSSSCastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< signed short, 3 >, itk::Functor::GPUCast< signed short, signed short >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS3ISS3SSSSCastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< signed short, 3 >, itk::Functor::GPUCast< signed short, signed short >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< signed short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS3GISS3SSSSCastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >, itk::Functor::GPUCast< signed short, signed short >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUS3GIUS3GPUCastUSUSCastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::Functor::GPUCast< unsigned short, unsigned short >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS3IUS3USUSCastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned short, 3 >, itk::Functor::GPUCast< unsigned short, unsigned short >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS3GIUS3USUSCastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::Functor::GPUCast< unsigned short, unsigned short >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIF3GIF3GPUCastFFCastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< float, 3 >, itk::Functor::GPUCast< float, float >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF3IF3FFCastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< float, 3 >, itk::Functor::GPUCast< float, float >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< float, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF3GIF3FFCastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >, itk::Functor::GPUCast< float, float >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterID3GID3GPUCastDDCastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< double, 3 >, itk::Functor::GPUCast< double, double >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID3ID3DDCastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< double, 3 >, itk::Functor::GPUCast< double, double >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< double, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID3GID3DDCastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >, itk::Functor::GPUCast< double, double >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUC3GIUL3UCULCastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >, itk::Functor::GPUCast< unsigned char, unsigned long >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC3IUL3UCULCastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned long, 3 >, itk::Functor::GPUCast< unsigned char, unsigned long >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC3GIUL3UCULCastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >, itk::Functor::GPUCast< unsigned char, unsigned long >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUC3GISS3UCSSCastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< signed short, 3 >, itk::Functor::GPUCast< unsigned char, signed short >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC3ISS3UCSSCastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< signed short, 3 >, itk::Functor::GPUCast< unsigned char, signed short >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< signed short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC3GISS3UCSSCastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 >, itk::Functor::GPUCast< unsigned char, signed short >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUC3GIUS3UCUSCastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >, itk::Functor::GPUCast< unsigned char, unsigned short >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC3IUS3UCUSCastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned short, 3 >, itk::Functor::GPUCast< unsigned char, unsigned short >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC3GIUS3UCUSCastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >, itk::Functor::GPUCast< unsigned char, unsigned short >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUC3GIF3UCFCastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< float, 3 >, itk::Functor::GPUCast< unsigned char, float >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC3IF3UCFCastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< float, 3 >, itk::Functor::GPUCast< unsigned char, float >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< float, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC3GIF3UCFCastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 >, itk::Functor::GPUCast< unsigned char, float >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUC3GID3UCDCastImageFilter', False, 'itk::Image< unsigned char, 3 >, itk::GPUImage< double, 3 >, itk::Functor::GPUCast< unsigned char, double >, itk::CastImageFilter< itk::Image< unsigned char, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC3ID3UCDCastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::Image< double, 3 >, itk::Functor::GPUCast< unsigned char, double >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::Image< double, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUC3GID3UCDCastImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< double, 3 >, itk::Functor::GPUCast< unsigned char, double >, itk::CastImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterISS3GIUC3SSUCCastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::Functor::GPUCast< signed short, unsigned char >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS3IUC3SSUCCastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned char, 3 >, itk::Functor::GPUCast< signed short, unsigned char >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< unsigned char, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS3GIUC3SSUCCastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::Functor::GPUCast< signed short, unsigned char >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterISS3GIUL3SSULCastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::Functor::GPUCast< signed short, unsigned long >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS3IUL3SSULCastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned long, 3 >, itk::Functor::GPUCast< signed short, unsigned long >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS3GIUL3SSULCastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::Functor::GPUCast< signed short, unsigned long >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterISS3GIUS3SSUSCastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::Functor::GPUCast< signed short, unsigned short >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS3IUS3SSUSCastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned short, 3 >, itk::Functor::GPUCast< signed short, unsigned short >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< unsigned short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS3GIUS3SSUSCastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::Functor::GPUCast< signed short, unsigned short >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterISS3GIF3SSFCastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< float, 3 >, itk::Functor::GPUCast< signed short, float >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS3IF3SSFCastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< float, 3 >, itk::Functor::GPUCast< signed short, float >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< float, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS3GIF3SSFCastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 >, itk::Functor::GPUCast< signed short, float >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterISS3GID3SSDCastImageFilter', False, 'itk::Image< signed short, 3 >, itk::GPUImage< double, 3 >, itk::Functor::GPUCast< signed short, double >, itk::CastImageFilter< itk::Image< signed short, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS3ID3SSDCastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::Image< double, 3 >, itk::Functor::GPUCast< signed short, double >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::Image< double, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGISS3GID3SSDCastImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< double, 3 >, itk::Functor::GPUCast< signed short, double >, itk::CastImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUS3GIUC3USUCCastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::Functor::GPUCast< unsigned short, unsigned char >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS3IUC3USUCCastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned char, 3 >, itk::Functor::GPUCast< unsigned short, unsigned char >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned char, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS3GIUC3USUCCastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >, itk::Functor::GPUCast< unsigned short, unsigned char >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUS3GIUL3USULCastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::Functor::GPUCast< unsigned short, unsigned long >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS3IUL3USULCastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned long, 3 >, itk::Functor::GPUCast< unsigned short, unsigned long >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS3GIUL3USULCastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >, itk::Functor::GPUCast< unsigned short, unsigned long >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUS3GISS3USSSCastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< signed short, 3 >, itk::Functor::GPUCast< unsigned short, signed short >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS3ISS3USSSCastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< signed short, 3 >, itk::Functor::GPUCast< unsigned short, signed short >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< signed short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS3GISS3USSSCastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 >, itk::Functor::GPUCast< unsigned short, signed short >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUS3GIF3USFCastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< float, 3 >, itk::Functor::GPUCast< unsigned short, float >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS3IF3USFCastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< float, 3 >, itk::Functor::GPUCast< unsigned short, float >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< float, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS3GIF3USFCastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 >, itk::Functor::GPUCast< unsigned short, float >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIUS3GID3USDCastImageFilter', False, 'itk::Image< unsigned short, 3 >, itk::GPUImage< double, 3 >, itk::Functor::GPUCast< unsigned short, double >, itk::CastImageFilter< itk::Image< unsigned short, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS3ID3USDCastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::Image< double, 3 >, itk::Functor::GPUCast< unsigned short, double >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::Image< double, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIUS3GID3USDCastImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< double, 3 >, itk::Functor::GPUCast< unsigned short, double >, itk::CastImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIF3GIUC3FUCCastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned char, 3 >, itk::Functor::GPUCast< float, unsigned char >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF3IUC3FUCCastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned char, 3 >, itk::Functor::GPUCast< float, unsigned char >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< unsigned char, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF3GIUC3FUCCastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 >, itk::Functor::GPUCast< float, unsigned char >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIF3GIUL3FULCastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned long, 3 >, itk::Functor::GPUCast< float, unsigned long >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF3IUL3FULCastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned long, 3 >, itk::Functor::GPUCast< float, unsigned long >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF3GIUL3FULCastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 >, itk::Functor::GPUCast< float, unsigned long >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIF3GISS3FSSCastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< signed short, 3 >, itk::Functor::GPUCast< float, signed short >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF3ISS3FSSCastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< signed short, 3 >, itk::Functor::GPUCast< float, signed short >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< signed short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF3GISS3FSSCastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 >, itk::Functor::GPUCast< float, signed short >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIF3GIUS3FUSCastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< unsigned short, 3 >, itk::Functor::GPUCast< float, unsigned short >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF3IUS3FUSCastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< unsigned short, 3 >, itk::Functor::GPUCast< float, unsigned short >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< unsigned short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF3GIUS3FUSCastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 >, itk::Functor::GPUCast< float, unsigned short >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterIF3GID3FDCastImageFilter', False, 'itk::Image< float, 3 >, itk::GPUImage< double, 3 >, itk::Functor::GPUCast< float, double >, itk::CastImageFilter< itk::Image< float, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF3ID3FDCastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::Image< double, 3 >, itk::Functor::GPUCast< float, double >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::Image< double, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGIF3GID3FDCastImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< double, 3 >, itk::Functor::GPUCast< float, double >, itk::CastImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< double, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterID3GIUC3DUCCastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned char, 3 >, itk::Functor::GPUCast< double, unsigned char >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID3IUC3DUCCastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned char, 3 >, itk::Functor::GPUCast< double, unsigned char >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< unsigned char, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID3GIUC3DUCCastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned char, 3 >, itk::Functor::GPUCast< double, unsigned char >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< unsigned char, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterID3GIUL3DULCastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned long, 3 >, itk::Functor::GPUCast< double, unsigned long >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID3IUL3DULCastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned long, 3 >, itk::Functor::GPUCast< double, unsigned long >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID3GIUL3DULCastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned long, 3 >, itk::Functor::GPUCast< double, unsigned long >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< unsigned long, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterID3GISS3DSSCastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< signed short, 3 >, itk::Functor::GPUCast< double, signed short >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID3ISS3DSSCastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< signed short, 3 >, itk::Functor::GPUCast< double, signed short >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< signed short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID3GISS3DSSCastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< signed short, 3 >, itk::Functor::GPUCast< double, signed short >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< signed short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterID3GIUS3DUSCastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< unsigned short, 3 >, itk::Functor::GPUCast< double, unsigned short >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID3IUS3DUSCastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< unsigned short, 3 >, itk::Functor::GPUCast< double, unsigned short >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< unsigned short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID3GIUS3DUSCastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned short, 3 >, itk::Functor::GPUCast< double, unsigned short >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< unsigned short, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterID3GIF3DFCastImageFilter', False, 'itk::Image< double, 3 >, itk::GPUImage< float, 3 >, itk::Functor::GPUCast< double, float >, itk::CastImageFilter< itk::Image< double, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID3IF3DFCastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::Image< float, 3 >, itk::Functor::GPUCast< double, float >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::Image< float, 3 > >'),
  ('GPUUnaryFunctorImageFilter', 'itk::GPUUnaryFunctorImageFilter', 'itkGPUUnaryFunctorImageFilterGID3GIF3DFCastImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< float, 3 >, itk::Functor::GPUCast< double, float >, itk::CastImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< float, 3 > >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUC2GIUC2', True, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC2IUC2', True, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned char, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC2GIUC2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUL2GIUL2', True, 'itk::Image< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUL2IUL2', True, 'itk::GPUImage< unsigned long, 2 >, itk::Image< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUL2GIUL2', True, 'itk::GPUImage< unsigned long, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterISS2GISS2', True, 'itk::Image< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS2ISS2', True, 'itk::GPUImage< signed short, 2 >, itk::Image< signed short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS2GISS2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUS2GIUS2', True, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS2IUS2', True, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS2GIUS2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIF2GIF2', True, 'itk::Image< float, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF2IF2', True, 'itk::GPUImage< float, 2 >, itk::Image< float, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF2GIF2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterID2GID2', True, 'itk::Image< double, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID2ID2', True, 'itk::GPUImage< double, 2 >, itk::Image< double, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID2GID2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUC2GIUL2', True, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC2IUL2', True, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC2GIUL2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUC2GISS2', True, 'itk::Image< unsigned char, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC2ISS2', True, 'itk::GPUImage< unsigned char, 2 >, itk::Image< signed short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC2GISS2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUC2GIUS2', True, 'itk::Image< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC2IUS2', True, 'itk::GPUImage< unsigned char, 2 >, itk::Image< unsigned short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC2GIUS2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUC2GIF2', True, 'itk::Image< unsigned char, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC2IF2', True, 'itk::GPUImage< unsigned char, 2 >, itk::Image< float, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC2GIF2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUC2GID2', True, 'itk::Image< unsigned char, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC2ID2', True, 'itk::GPUImage< unsigned char, 2 >, itk::Image< double, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC2GID2', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterISS2GIUC2', True, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS2IUC2', True, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned char, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS2GIUC2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterISS2GIUL2', True, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS2IUL2', True, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS2GIUL2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterISS2GIUS2', True, 'itk::Image< signed short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS2IUS2', True, 'itk::GPUImage< signed short, 2 >, itk::Image< unsigned short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS2GIUS2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterISS2GIF2', True, 'itk::Image< signed short, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS2IF2', True, 'itk::GPUImage< signed short, 2 >, itk::Image< float, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS2GIF2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterISS2GID2', True, 'itk::Image< signed short, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS2ID2', True, 'itk::GPUImage< signed short, 2 >, itk::Image< double, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS2GID2', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUS2GIUC2', True, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS2IUC2', True, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned char, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS2GIUC2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUS2GIUL2', True, 'itk::Image< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS2IUL2', True, 'itk::GPUImage< unsigned short, 2 >, itk::Image< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS2GIUL2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUS2GISS2', True, 'itk::Image< unsigned short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS2ISS2', True, 'itk::GPUImage< unsigned short, 2 >, itk::Image< signed short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS2GISS2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUS2GIF2', True, 'itk::Image< unsigned short, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS2IF2', True, 'itk::GPUImage< unsigned short, 2 >, itk::Image< float, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS2GIF2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUS2GID2', True, 'itk::Image< unsigned short, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS2ID2', True, 'itk::GPUImage< unsigned short, 2 >, itk::Image< double, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS2GID2', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIF2GIUC2', True, 'itk::Image< float, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF2IUC2', True, 'itk::GPUImage< float, 2 >, itk::Image< unsigned char, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF2GIUC2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIF2GIUL2', True, 'itk::Image< float, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF2IUL2', True, 'itk::GPUImage< float, 2 >, itk::Image< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF2GIUL2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIF2GISS2', True, 'itk::Image< float, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF2ISS2', True, 'itk::GPUImage< float, 2 >, itk::Image< signed short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF2GISS2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIF2GIUS2', True, 'itk::Image< float, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF2IUS2', True, 'itk::GPUImage< float, 2 >, itk::Image< unsigned short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF2GIUS2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIF2GID2', True, 'itk::Image< float, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF2ID2', True, 'itk::GPUImage< float, 2 >, itk::Image< double, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF2GID2', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< double, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterID2GIUC2', True, 'itk::Image< double, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID2IUC2', True, 'itk::GPUImage< double, 2 >, itk::Image< unsigned char, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID2GIUC2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterID2GIUL2', True, 'itk::Image< double, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID2IUL2', True, 'itk::GPUImage< double, 2 >, itk::Image< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID2GIUL2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned long, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterID2GISS2', True, 'itk::Image< double, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID2ISS2', True, 'itk::GPUImage< double, 2 >, itk::Image< signed short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID2GISS2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< signed short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterID2GIUS2', True, 'itk::Image< double, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID2IUS2', True, 'itk::GPUImage< double, 2 >, itk::Image< unsigned short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID2GIUS2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterID2GIF2', True, 'itk::Image< double, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID2IF2', True, 'itk::GPUImage< double, 2 >, itk::Image< float, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID2GIF2', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< float, 2 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUC3GIUC3', True, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC3IUC3', True, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned char, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC3GIUC3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUL3GIUL3', True, 'itk::Image< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUL3IUL3', True, 'itk::GPUImage< unsigned long, 3 >, itk::Image< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUL3GIUL3', True, 'itk::GPUImage< unsigned long, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterISS3GISS3', True, 'itk::Image< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS3ISS3', True, 'itk::GPUImage< signed short, 3 >, itk::Image< signed short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS3GISS3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUS3GIUS3', True, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS3IUS3', True, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS3GIUS3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIF3GIF3', True, 'itk::Image< float, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF3IF3', True, 'itk::GPUImage< float, 3 >, itk::Image< float, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF3GIF3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterID3GID3', True, 'itk::Image< double, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID3ID3', True, 'itk::GPUImage< double, 3 >, itk::Image< double, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID3GID3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUC3GIUL3', True, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC3IUL3', True, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC3GIUL3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUC3GISS3', True, 'itk::Image< unsigned char, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC3ISS3', True, 'itk::GPUImage< unsigned char, 3 >, itk::Image< signed short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC3GISS3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUC3GIUS3', True, 'itk::Image< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC3IUS3', True, 'itk::GPUImage< unsigned char, 3 >, itk::Image< unsigned short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC3GIUS3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUC3GIF3', True, 'itk::Image< unsigned char, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC3IF3', True, 'itk::GPUImage< unsigned char, 3 >, itk::Image< float, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC3GIF3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUC3GID3', True, 'itk::Image< unsigned char, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC3ID3', True, 'itk::GPUImage< unsigned char, 3 >, itk::Image< double, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUC3GID3', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterISS3GIUC3', True, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS3IUC3', True, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned char, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS3GIUC3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterISS3GIUL3', True, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS3IUL3', True, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS3GIUL3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterISS3GIUS3', True, 'itk::Image< signed short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS3IUS3', True, 'itk::GPUImage< signed short, 3 >, itk::Image< unsigned short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS3GIUS3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterISS3GIF3', True, 'itk::Image< signed short, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS3IF3', True, 'itk::GPUImage< signed short, 3 >, itk::Image< float, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS3GIF3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterISS3GID3', True, 'itk::Image< signed short, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS3ID3', True, 'itk::GPUImage< signed short, 3 >, itk::Image< double, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGISS3GID3', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUS3GIUC3', True, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS3IUC3', True, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned char, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS3GIUC3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUS3GIUL3', True, 'itk::Image< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS3IUL3', True, 'itk::GPUImage< unsigned short, 3 >, itk::Image< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS3GIUL3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUS3GISS3', True, 'itk::Image< unsigned short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS3ISS3', True, 'itk::GPUImage< unsigned short, 3 >, itk::Image< signed short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS3GISS3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUS3GIF3', True, 'itk::Image< unsigned short, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS3IF3', True, 'itk::GPUImage< unsigned short, 3 >, itk::Image< float, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS3GIF3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIUS3GID3', True, 'itk::Image< unsigned short, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS3ID3', True, 'itk::GPUImage< unsigned short, 3 >, itk::Image< double, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIUS3GID3', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIF3GIUC3', True, 'itk::Image< float, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF3IUC3', True, 'itk::GPUImage< float, 3 >, itk::Image< unsigned char, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF3GIUC3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIF3GIUL3', True, 'itk::Image< float, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF3IUL3', True, 'itk::GPUImage< float, 3 >, itk::Image< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF3GIUL3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIF3GISS3', True, 'itk::Image< float, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF3ISS3', True, 'itk::GPUImage< float, 3 >, itk::Image< signed short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF3GISS3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIF3GIUS3', True, 'itk::Image< float, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF3IUS3', True, 'itk::GPUImage< float, 3 >, itk::Image< unsigned short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF3GIUS3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterIF3GID3', True, 'itk::Image< float, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF3ID3', True, 'itk::GPUImage< float, 3 >, itk::Image< double, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGIF3GID3', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< double, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterID3GIUC3', True, 'itk::Image< double, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID3IUC3', True, 'itk::GPUImage< double, 3 >, itk::Image< unsigned char, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID3GIUC3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterID3GIUL3', True, 'itk::Image< double, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID3IUL3', True, 'itk::GPUImage< double, 3 >, itk::Image< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID3GIUL3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned long, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterID3GISS3', True, 'itk::Image< double, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID3ISS3', True, 'itk::GPUImage< double, 3 >, itk::Image< signed short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID3GISS3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< signed short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterID3GIUS3', True, 'itk::Image< double, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID3IUS3', True, 'itk::GPUImage< double, 3 >, itk::Image< unsigned short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID3GIUS3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterID3GIF3', True, 'itk::Image< double, 3 >, itk::GPUImage< float, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID3IF3', True, 'itk::GPUImage< double, 3 >, itk::Image< float, 3 >'),
  ('GPUCastImageFilter', 'itk::GPUCastImageFilter', 'itkGPUCastImageFilterGID3GIF3', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionGISS2GISS2', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionGIUC2GIUC2', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionGIUS2GIUS2', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionGIF2GIF2', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionGID2GID2', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionGISS3GISS3', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionGIUC3GIUC3', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionGIUS3GIUS3', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionGIF3GIF3', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >'),
  ('ImageBoundaryCondition', 'itk::ImageBoundaryCondition', 'itkImageBoundaryConditionGID3GID3', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >'),
  ('NeighborhoodOperatorImageFilter', 'itk::NeighborhoodOperatorImageFilter', 'itkNeighborhoodOperatorImageFilterGISS2GISS2SS', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >, signed short'),
  ('NeighborhoodOperatorImageFilter', 'itk::NeighborhoodOperatorImageFilter', 'itkNeighborhoodOperatorImageFilterGIUC2GIUC2UC', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >, unsigned char'),
  ('NeighborhoodOperatorImageFilter', 'itk::NeighborhoodOperatorImageFilter', 'itkNeighborhoodOperatorImageFilterGIUS2GIUS2US', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >, unsigned short'),
  ('NeighborhoodOperatorImageFilter', 'itk::NeighborhoodOperatorImageFilter', 'itkNeighborhoodOperatorImageFilterGIF2GIF2F', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >, float'),
  ('NeighborhoodOperatorImageFilter', 'itk::NeighborhoodOperatorImageFilter', 'itkNeighborhoodOperatorImageFilterGID2GID2D', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >, double'),
  ('NeighborhoodOperatorImageFilter', 'itk::NeighborhoodOperatorImageFilter', 'itkNeighborhoodOperatorImageFilterGISS3GISS3SS', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >, signed short'),
  ('NeighborhoodOperatorImageFilter', 'itk::NeighborhoodOperatorImageFilter', 'itkNeighborhoodOperatorImageFilterGIUC3GIUC3UC', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >, unsigned char'),
  ('NeighborhoodOperatorImageFilter', 'itk::NeighborhoodOperatorImageFilter', 'itkNeighborhoodOperatorImageFilterGIUS3GIUS3US', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >, unsigned short'),
  ('NeighborhoodOperatorImageFilter', 'itk::NeighborhoodOperatorImageFilter', 'itkNeighborhoodOperatorImageFilterGIF3GIF3F', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >, float'),
  ('NeighborhoodOperatorImageFilter', 'itk::NeighborhoodOperatorImageFilter', 'itkNeighborhoodOperatorImageFilterGID3GID3D', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >, double'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS2GISS2NeighborhoodOperatorImageFilter', False, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >, itk::NeighborhoodOperatorImageFilter< itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >, signed short >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC2GIUC2NeighborhoodOperatorImageFilter', False, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >, itk::NeighborhoodOperatorImageFilter< itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >, unsigned char >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS2GIUS2NeighborhoodOperatorImageFilter', False, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >, itk::NeighborhoodOperatorImageFilter< itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >, unsigned short >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF2GIF2NeighborhoodOperatorImageFilter', False, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >, itk::NeighborhoodOperatorImageFilter< itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >, float >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID2GID2NeighborhoodOperatorImageFilter', False, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >, itk::NeighborhoodOperatorImageFilter< itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >, double >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGISS3GISS3NeighborhoodOperatorImageFilter', False, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >, itk::NeighborhoodOperatorImageFilter< itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >, signed short >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUC3GIUC3NeighborhoodOperatorImageFilter', False, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >, itk::NeighborhoodOperatorImageFilter< itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >, unsigned char >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIUS3GIUS3NeighborhoodOperatorImageFilter', False, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >, itk::NeighborhoodOperatorImageFilter< itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >, unsigned short >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGIF3GIF3NeighborhoodOperatorImageFilter', False, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >, itk::NeighborhoodOperatorImageFilter< itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >, float >'),
  ('GPUImageToImageFilter', 'itk::GPUImageToImageFilter', 'itkGPUImageToImageFilterGID3GID3NeighborhoodOperatorImageFilter', False, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >, itk::NeighborhoodOperatorImageFilter< itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >, double >'),
  ('GPUNeighborhoodOperatorImageFilter', 'itk::GPUNeighborhoodOperatorImageFilter', 'itkGPUNeighborhoodOperatorImageFilterGISS2GISS2SS', True, 'itk::GPUImage< signed short, 2 >, itk::GPUImage< signed short, 2 >, signed short'),
  ('GPUNeighborhoodOperatorImageFilter', 'itk::GPUNeighborhoodOperatorImageFilter', 'itkGPUNeighborhoodOperatorImageFilterGIUC2GIUC2UC', True, 'itk::GPUImage< unsigned char, 2 >, itk::GPUImage< unsigned char, 2 >, unsigned char'),
  ('GPUNeighborhoodOperatorImageFilter', 'itk::GPUNeighborhoodOperatorImageFilter', 'itkGPUNeighborhoodOperatorImageFilterGIUS2GIUS2US', True, 'itk::GPUImage< unsigned short, 2 >, itk::GPUImage< unsigned short, 2 >, unsigned short'),
  ('GPUNeighborhoodOperatorImageFilter', 'itk::GPUNeighborhoodOperatorImageFilter', 'itkGPUNeighborhoodOperatorImageFilterGIF2GIF2F', True, 'itk::GPUImage< float, 2 >, itk::GPUImage< float, 2 >, float'),
  ('GPUNeighborhoodOperatorImageFilter', 'itk::GPUNeighborhoodOperatorImageFilter', 'itkGPUNeighborhoodOperatorImageFilterGID2GID2D', True, 'itk::GPUImage< double, 2 >, itk::GPUImage< double, 2 >, double'),
  ('GPUNeighborhoodOperatorImageFilter', 'itk::GPUNeighborhoodOperatorImageFilter', 'itkGPUNeighborhoodOperatorImageFilterGISS3GISS3SS', True, 'itk::GPUImage< signed short, 3 >, itk::GPUImage< signed short, 3 >, signed short'),
  ('GPUNeighborhoodOperatorImageFilter', 'itk::GPUNeighborhoodOperatorImageFilter', 'itkGPUNeighborhoodOperatorImageFilterGIUC3GIUC3UC', True, 'itk::GPUImage< unsigned char, 3 >, itk::GPUImage< unsigned char, 3 >, unsigned char'),
  ('GPUNeighborhoodOperatorImageFilter', 'itk::GPUNeighborhoodOperatorImageFilter', 'itkGPUNeighborhoodOperatorImageFilterGIUS3GIUS3US', True, 'itk::GPUImage< unsigned short, 3 >, itk::GPUImage< unsigned short, 3 >, unsigned short'),
  ('GPUNeighborhoodOperatorImageFilter', 'itk::GPUNeighborhoodOperatorImageFilter', 'itkGPUNeighborhoodOperatorImageFilterGIF3GIF3F', True, 'itk::GPUImage< float, 3 >, itk::GPUImage< float, 3 >, float'),
  ('GPUNeighborhoodOperatorImageFilter', 'itk::GPUNeighborhoodOperatorImageFilter', 'itkGPUNeighborhoodOperatorImageFilterGID3GID3D', True, 'itk::GPUImage< double, 3 >, itk::GPUImage< double, 3 >, double'),
)
snake_case_functions = ('box_image_filter', 'cast_image_filter', 'gpu_in_place_image_filter', 'gpu_neighborhood_operator_image_filter', 'gpu_unary_functor_image_filter', 'neighborhood_operator_image_filter', 'gpu_image_to_image_filter', 'gpu_cast_image_filter', )
